__version__ = "0.2.39"

from .core import (
    CanonMap
)
from .config.validate_configs import (
    CanonMapGCPConfig,
    CanonMapCustomGCSConfig,
    CanonMapEmbeddingConfig,
    CanonMapArtifactsConfig,
)
from .requests.artifact_generation_request import ArtifactGenerationRequest
from .requests.entity_mapping_request import EntityMappingRequest, TableFieldFilter
from .requests.artifact_generation_request import (
    EntityField,
    SemanticField,
    CommaSeparatedField,
    SemanticTextTitleField,
)
from .responses.entity_mapping_response import (
    EntityMappingResponse,
    SingleMapping,
    MatchItem,
)
from .responses.artifact_generation_response import (
    ArtifactGenerationResponse,
    GeneratedArtifact,
    ProcessingStats,
    ErrorInfo,
)

__all__ = [
    "CanonMap",
    "CanonMapGCPConfig",
    "CanonMapCustomGCSConfig",
    "CanonMapEmbeddingConfig",
    "CanonMapArtifactsConfig",
    "ArtifactGenerationRequest",
    "EntityMappingRequest",
    "EntityMappingResponse",
    "SingleMapping",
    "MatchItem",
    "ArtifactGenerationResponse",
    "GeneratedArtifact",
    "ProcessingStats",
    "ErrorInfo",
    # Field types
    "EntityField",
    "SemanticField",
    "CommaSeparatedField",
    "SemanticTextTitleField",
    "TableFieldFilter",
]